Overview
GET
/monitoring/endpointsmonitoringList endpoints
List endpoints.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
List
- idstring
- siteIdstring
- userIdstring
- ownerKindstring
- ownerIdstring
- kindstring
- urlstring
- expectedStatusinteger
- expectedBodyContainsstring?
- timeoutMsinteger
- degradedThresholdMsinteger
- checkIntervalSecondsinteger
- isActiveboolean
- createdAtstring
- updatedAtstring
Example
[
{
"id": "string",
"siteId": "string",
"userId": "string",
"ownerKind": "string",
"ownerId": "string",
"kind": "string",
"url": "string",
"expectedStatus": 0,
"expectedBodyContains": "string",
"timeoutMs": 0,
"degradedThresholdMs": 0,
"checkIntervalSeconds": 0,
"isActive": true,
"createdAt": "string",
"updatedAt": "string"
}
]401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/monitoring/endpoints" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/monitoring/endpoints", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();